Einzelnes Dokument abrufen, einschließlich des Dateiinhalts
Sucht das Dokument anhand seiner ID im angegebenen Ordner und liefert Dateinamen, Dateityp und base64-codierten Inhalt.
Verfügbarkeit: Nur Vollversion — eine Clock-Instanz antwortet auf diesen Endpunkt mit 404.
Request
GET /api/v1/folders/{id}/documents/{document_id}
curl --request GET \
--url 'https://www.zep-online.de/zepinstanz/next/api/v1/folders/{id}/documents/{document_id}' \
--header 'Accept: application/json' \
--header 'Authorization: Bearer {token}'Pfad-Parameter
- Name
id- Type
- integer
- Description
Die ID des Ordners
- Name
document_id- Type
- integer
- Description
Die ID des Dokuments
Response
{
"data": {
"id": 1,
"filename": "string",
"file_type": "string",
"file_contents": "string"
}
}Response-Felder
- Name
id- Type
- integer
- Description
Unique identifier of the document.
- Name
filename- Type
- string
- Description
The file’s original name, as it was uploaded.
- Name
file_type- Type
- string, nullable
- Description
MIME type of the stored file.
- Name
file_contents- Type
- string, nullable
- Description
Base64-encoded content of the current document version; null when the version has no stored file.